OpenVDB: Range< 3, T > Class Template Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Range< 3, T > Class Template Reference

`#include <nanovdb/util/Range.h>`

## Public Types
using | size_type = typename Range<1, T>::size_type

## Public Member Functions
| Range (const Range< 1, T > &rangeX, const Range< 1, T > &rangeY, const Range< 1, T > &rangeZ)
| Range (T beginX, T endX, size_type grainsizeX, T beginY, T endY, size_type grainsizeY, T beginZ, T endZ, size_type grainsizeZ)
| Range (T beginX, T endX, T beginY, T endY, T beginZ, T endZ)
| Range (Range &r, Split)
bool | operator== (const Range &rhs) const
bool | empty () const
bool | is_divisible () const
const Range< 1, T > & | operator[] (int i) const

## Member Typedef Documentation

## ◆ size_type

template<typename T>

using size_type = typename Range<1, T>::size_type

## Constructor & Destructor Documentation

## ◆ Range() [1/4]

template<typename T>

Range | ( | const Range< 1, T > & | rangeX,
|  | const Range< 1, T > & | rangeY,
|  | const Range< 1, T > & | rangeZ )
| inline

## ◆ Range() [2/4]

template<typename T>

Range | ( | T | beginX,
|  | T | endX,
|  | size_type | grainsizeX,
|  | T | beginY,
|  | T | endY,
|  | size_type | grainsizeY,
|  | T | beginZ,
|  | T | endZ,
|  | size_type | grainsizeZ )
| inline

## ◆ Range() [3/4]

template<typename T>

Range | ( | T | beginX,
|  | T | endX,
|  | T | beginY,
|  | T | endY,
|  | T | beginZ,
|  | T | endZ )
| inline

## ◆ Range() [4/4]

template<typename T>

Range | ( | Range< 3, T > & | r,
|  | Split | )
| inline

## Member Function Documentation

## ◆ empty()

template<typename T>

bool empty | ( |  | ) | const
| inline

## ◆ is_divisible()

template<typename T>

bool is_divisible | ( |  | ) | const
| inline

## ◆ operator==()

template<typename T>

bool operator== | ( | const Range< 3, T > & | rhs | ) | const
| inline

## ◆ operator[]()

template<typename T>

const Range< 1, T > & operator[] | ( | int | i | ) | const
| inline